org.apache.commons.jelly.impl

## Class StaticTagScript

- java.lang.Object
- - org.apache.commons.jelly.impl.TagScript
  - - org.apache.commons.jelly.impl.StaticTagScript

All Implemented Interfaces:
  Script

    public class StaticTagScript
    extends TagScript

`StaticTagScript` is a script that evaluates a StaticTag, a piece of static XML though its attributes or element content may contain dynamic expressions. The first time this tag evaluates, it may have become a dynamic tag, so it will check that a new dynamic tag has not been generated.

Version:
  $Revision: 239434 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.impl.TagScript

`attributes`

### Constructor Summary

Constructors
Constructor and Description
`StaticTagScript()`
`StaticTagScript(TagFactory tagFactory)` Deprecated. The tag name is inferred automatically, so no need to set a tag factory. Use the default constructor.

### Method Summary

Methods
`protected Tag` `createTag()` Factory method to create a new Tag instance.
`protected Tag` `findDynamicTag(JellyContext context, StaticTag tag)` Attempts to find a dynamically created tag that has been created since this script was compiled
`void` `run(JellyContext context, XMLOutput output)` Evaluates the body of a tag

### Methods inherited from class org.apache.commons.jelly.impl.TagScript

`addAttribute, addAttribute, applyLocation, clearTag, compile, configureTag, convertType, createJellyException, createJellyException, endNamespacePrefixes, getAttribute, getBodyText, getColumnNumber, getElementName, getFileName, getLineNumber, getLocalName, getNamespaceContext, getNsUri, getParent, getSaxAttributes, getScriptURL, getTag, getTagBody, getTagFactory, handleException, handleException, handleException, handleException, newInstance, setColumnNumber, setContextURLs, setElementName, setFileName, setLineNumber, setLocalName, setLocator, setNsUri, setParent, setSaxAttributes, setTag, setTagBody, setTagFactory, setTagNamespacesMap, startNamespacePrefixes, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StaticTagScript

    public StaticTagScript()

#### StaticTagScript

    public StaticTagScript(TagFactory tagFactory)

Deprecated. The tag name is inferred automatically, so no need to set a tag factory. Use the default constructor.

### Method Detail

#### createTag

    protected Tag createTag()
                     throws JellyException

Description copied from class: `TagScript`
Factory method to create a new Tag instance. The default implementation is to delegate to the TagFactory

Overrides:
  `createTag` in class `TagScript`
Throws:
  `JellyException`

#### run

    public void run(JellyContext context,
           XMLOutput output)
             throws JellyTagException

Description copied from class: `TagScript`
Evaluates the body of a tag

Specified by:
  `run` in interface `Script`
Overrides:
  `run` in class `TagScript`
Throws:
  `JellyTagException`

#### findDynamicTag

    protected Tag findDynamicTag(JellyContext context,
                     StaticTag tag)
                          throws JellyException

Attempts to find a dynamically created tag that has been created since this script was compiled

Throws:
  `JellyException`